package com.bootdo.data.dao;

import com.bootdo.data.domain.DataApplyDO;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

/**
 * 数据备案表
 * @author admin
 * @email admin@163.com
 * @date 2022-03-01 14:23:15
 */
@Mapper
public interface DataApplyDao {

	DataApplyDO get(Long id);
	
	List<DataApplyDO> list(Map<String,Object> map);
	
	int count(Map<String,Object> map);
	
	int save(DataApplyDO dataApply);
	
	int update(DataApplyDO dataApply);
	
	int remove(Long ID);
	
	int batchRemove(Long[] ids);
}
